Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.crypto.eid
Interface EidSmartCardReader

    public interface EidSmartCardReader

Eid smart card reader interface.

Since:
  2.0.0

Method Summary
`boolean` | `isEidCardPresent()`
`boolean` | `isReaderPresent()`
`java.security.KeyStore` | `readKeyStore(be.fedict.commons.eid.client.spi.BeIDCardUI userInterface)`
`boolean` | `waitForCard(long timeout)`
`boolean` | `waitForCardReader(long timeout)`

Method Detail

### isReaderPresent

    boolean isReaderPresent()
                            throws SmartCardReaderException

  Returns:
    true if there is a smart card reader connected.
  Throws:
    `SmartCardReaderException`

### isEidCardPresent

    boolean isEidCardPresent()
                             throws SmartCardReaderException

  Returns:
    true if there is an eID card in the reader.
  Throws:
    `SmartCardReaderException`

### waitForCardReader

    boolean waitForCardReader(long timeout)
                              throws SmartCardReaderException

  Parameters:
    `timeout` - The maximum time for waiting a smart card reader.
  Returns:
    true if a smart card reader is found before the timeout.
  Throws:
    `SmartCardReaderException`

### waitForCard

    boolean waitForCard(long timeout)
                        throws SmartCardReaderException

  Parameters:
    `timeout` - The maximum time for waiting an eID card.
  Returns:
    true if an eID card is found before the timeout.
  Throws:
    `SmartCardReaderException`

### readKeyStore

    java.security.KeyStore readKeyStore(be.fedict.commons.eid.client.spi.BeIDCardUI userInterface)
                                        throws SmartCardReaderException,
                                               NoAvailableSmartCardException

  Returns:
    the read `KeyStore` on the EID card.
  Throws:
    `SmartCardReaderException`
    `NoAvailableSmartCardException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2019 eHealth. All Rights Reserved.